# This file created by conda-build 3.18.9
# meta.yaml template originally from:
# /Users/distiller/project/recipes/bowtie2, last modified Mon Feb 10 15:08:26 2020
# ------------------------------------------------

package:
    name: bowtie2
    version: 2.3.5.1
source:
    sha256: 86a018af1090900c160a0990cc106569805aa64a3ec8708e1d2127839e4a94b4
    url: https://github.com/BenLangmead/bowtie2/archive/v2.3.5.1.tar.gz
build:
    number: '0'
    string: py27h2dec4b4_0
requirements:
    build:
        - cctools 895 h7512d6f_0
        - clang 4.0.1 h662ec87_0
        - clang_osx-64 4.0.1 h1ce6c1d_17
        - clangxx 4.0.1 hc9b4283_0
        - clangxx_osx-64 4.0.1 h22b1bf0_17
        - compiler-rt 4.0.1 h5487866_0
        - ld64 274.2 h7c2db76_0
        - libcxx 4.0.1 h579ed51_0
        - libcxxabi 4.0.1 hebd6815_0
        - llvm 4.0.1 hc748206_0
        - llvm-lto-tapi 4.0.1 h6701bc3_0
    host:
        - ca-certificates 2019.11.28 hecc5488_0
        - libcxx 9.0.1 1
        - libffi 3.2.1 h6de7cb9_1006
        - ncurses 6.1 h0a44026_1002
        - openssl 1.1.1d h0b31af3_0
        - python 2.7.15 hd51d24c_1009
        - readline 8.0 hcfe32e1_0
        - sqlite 3.30.1 h93121df_0
        - tbb 2019.9 ha1b3eb9_1
        - tbb-devel 2019.9 ha1b3eb9_1
        - tk 8.6.10 hbbe82c9_0
        - zlib 1.2.11 h0b31af3_1006
    run:
        - libcxx >=4.0.1
        - perl
        - python >=2.7,<2.8.0a0
        - tbb >=2019.9
        - zlib >=1.2.11,<1.3.0a0
        - zlib >=1.2.11,<1.3.0a0
test:
    commands:
        - bowtie2 --help
        - bowtie2-align-l --help
        - bowtie2-align-s --help
        - bowtie2-build --help
        - bowtie2-build-l --help
        - bowtie2-build-s --help
        - bowtie2-inspect --help
        - bowtie2-inspect-l --help
        - bowtie2-inspect-s --help
about:
    home: http://bowtie-bio.sourceforge.net/bowtie2/index.shtml
    license: GPLv3
    license_file: LICENSE
    summary: Fast and sensitive read alignment
extra:
    copy_test_source_files: true
    final: true
    identifiers:
        - biotools:bowtie2
        - debian:bowtie2
        - doi:10.1038/nmeth.1923
